## detachtty 5

=== Makefile ===

# OS_FLAGS vary according to your operating system.  See INSTALL for details

# Linux 2.4
OS_CFLAGS=-DNEED_PTY_H                       
# FreeBSD, version unknown
#OS_CFLAGS=-DNEED_LIBUTIL_H                  

# -lutil has forkpty() in it in Linux 2.4, and apparently at least
# doesn't break anything in FreeBSD
OS_LOADLIBES=-lutil

INSTALL_DIR=/usr/local/bin

# You probably don't need to edit anything below this line

CFLAGS=-g $(OS_CFLAGS)
LOADLIBES=$(OS_LOADLIBES)

all: detachtty attachtty
clean: 
	-rm *.o *~ attachtty detachtty

install: all
	install detachtty attachtty $(DESTDIR)$(INSTALL_DIR)

deb:
	rm -rf /usr/local/src/Packages/detachtty/ 
	CVSROOT=`cat CVS/Root` cvs-buildpackage -F -uc -us -rfakeroot
	lintian /usr/local/src/Packages/detachtty/detachtty*.changes

detachtty: detachtty.o copy-stream.o errors.o
attachtty: attachtty.o copy-stream.o errors.o

=== debian/changelog ===
detachtty (5) unstable; urgency=low

  * FreeBSD portability fixes
  * Includes text from strerror when reporting OS errors
  * Upload sponsored by Matthew Danish <mdanish@andrew.cmu.edu>

 -- Daniel Barlow <dan@telent.net>  Wed, 17 Oct 2001 10:59:03 +0100

detachtty (4) unstable; urgency=low

  * Dribble files now work correctly
  * Server process was dying in some circumstances when client went away
  * Upload sponsored by Matthew Danish <mdanish@andrew.cmu.edu>
  * More documentation

 -- Daniel Barlow <dan@telent.net>  Tue, 16 Oct 2001 19:54:51 +0100

detachtty (3) unstable; urgency=low

  * Man page fixes
  * Upload sponsored by Matthew Danish <mdanish@andrew.cmu.edu>
  * Closes: #110712 (ITP)
  * Re-upload due to initial rejection
    - ssh could not be Recommended if this package was to go into main.
    - Moved ssh to Suggests instead.

 -- Daniel Barlow <dan@telent.net>  Wed,  5 Sep 2001 13:32:53 -0400

detachtty (2) unstable; urgency=low

  * Fix various packaging infelicities
  * Removed #include reference to unused <popt.h>
  * Correct section number in manual page
  * Give intelligible error messages when invoked without args
  * Upload sponsored by Matthew Danish <mdanish@andrew.cmu.edu>
  * Closes: #110712 (ITP)

 -- Daniel Barlow <dan@telent.net>  Sat,  1 Sep 2001 00:51:21 +0100

detachtty (1) unstable; urgency=low

  * Initial Release.

 -- Daniel Barlow <dan@telent.net>  Thu, 31 May 2001 22:10:29 +0100

Local variables:
mode: debian-changelog
End:

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir


	# Add here commands to compile the package.
	$(MAKE) INSTALL_DIR=/usr/bin

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install INSTALL_DIR=/usr/bin DESTDIR=`pwd`/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## detachtty 9

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,27 @@
 
-# OS_FLAGS vary according to your operating system.  See INSTALL for details
+# OS_* variables vary according to your operating system.  See INSTALL
+# for details
 
 # Linux 2.4
 OS_CFLAGS=-DNEED_PTY_H                       
 # FreeBSD, version unknown
 #OS_CFLAGS=-DNEED_LIBUTIL_H                  
+# Solaris, some version of
+#OS_CFLAGS=-DNEED_STRINGS_H -DNEED_LOCAL_FORKPTY_H
+# MacOS X needs libpoll from fink
+# OS_CFLAGS=-DNEED_LOCAL_FORKPTY_H -I/sw/include
 
 # -lutil has forkpty() in it in Linux 2.4, and apparently at least
-# doesn't break anything in FreeBSD
+# doesn't break anything in FreeBSD.
 OS_LOADLIBES=-lutil
+# Solaris users need this instead
+#OS_LOADLIBES=-lnsl -lsocket
+# MacOS X with libpoll from fink
+# OS_LOADLIBES=-L/sw/lib -lpoll
+
+OS_OBJECTS=
+# no forkpty in Solaris or MacOS X
+# OS_OBJECTS=forkpty.o
 
 INSTALL_DIR=/usr/local/bin
 
@@ -29,5 +42,5 @@
 	CVSROOT=`cat CVS/Root` cvs-buildpackage -F -uc -us -rfakeroot
 	lintian /usr/local/src/Packages/detachtty/detachtty*.changes
 
-detachtty: detachtty.o copy-stream.o errors.o
-attachtty: attachtty.o copy-stream.o errors.o
+detachtty: detachtty.o copy-stream.o errors.o $(OS_OBJECTS)
+attachtty: attachtty.o copy-stream.o errors.o $(OS_OBJECTS)

=== debian/changelog ===
detachtty (9) unstable; urgency=low

  * Minor bug fix/incompatible change: reset the umask in the child process
    from 077 to whatever it had been in the parent environment

 -- Daniel Barlow <dan@telent.net>  Sun, 14 Dec 2003 12:42:54 +0000

detachtty (8) unstable; urgency=low

  * Patch from Paul Lathrop to build on MacOS X with the libpoll fink package

 -- Daniel Barlow <dan@telent.net>  Mon,  4 Aug 2003 10:10:38 +0100

detachtty (7) unstable; urgency=low

  * Patch from Ng Pheng Siong to set VERASE2 to something harmless

 -- Daniel Barlow <dan@telent.net>  Thu, 23 Jan 2003 09:56:54 +0000

detachtty (6) unstable; urgency=low

  * Solaris port and assorted fixes (thanks to Matthias Koeppe and Utz-Uwe
    Haus)
  * Better error messages for bad command line arguments (Closes: #151156)
  * Manpage improvements
  * Probably survives a SIGHUP better if using relative log/dribble filenames

 -- Daniel Barlow <dan@telent.net>  Tue, 17 Sep 2002 22:06:05 +0100

=== debian/control ===
Source: detachtty
Section: admin
Priority: optional
Maintainer: Daniel Barlow <dan@telent.net>
Build-Depends: debhelper
Standards-Version: 3.5.6.0

Package: detachtty
Architecture: any
Depends: ${shlibs:Depends}
Suggests: ssh
Description: Attach/detach from interactive processes across the network
 detachtty lets you run interactive programs non-interactively, and
 connect to them over the network when you do need to interact with
 them.  It's designed for long-running Lisp processes.  Unlike screen,
 it works in emacs comint modes, and unlike qcmu, it deals correctly
 with passing on a SIGINT sent to it.  Needs ssh for operation over the net.

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=1
 
 build: build-stamp
 build-stamp:

## detachtty 11.0.0

=== Makefile ===

# OS_* variables vary according to your operating system.  See INSTALL
# for details

# Linux 2.4
OS_CFLAGS=-DNEED_PTY_H -fno-strict-aliasing
# FreeBSD, version unknown
#OS_CFLAGS=-DNEED_LIBUTIL_H
# Solaris, some version of
#OS_CFLAGS=-DNEED_STRINGS_H -DNEED_LOCAL_FORKPTY_H
# MacOS X needs the local forkpty, and < 10.3 needs libpoll from fink
# OS_CFLAGS=-DNEED_LOCAL_FORKPTY_H -I/sw/include

# -lutil has forkpty() in it in Linux 2.4, and apparently at least
# doesn't break anything in FreeBSD.
OS_LDLIBS=-lutil
# Solaris users need this instead
#OS_LDLIBS=-lnsl -lsocket
# MacOS X <10.3 needs libpoll from fink, later versions don't
# OS_LDLIBS=-L/sw/lib -lpoll

OS_OBJECTS=
# no forkpty in Solaris or MacOS X
# OS_OBJECTS=forkpty.o

INSTALL_DIR=/usr/local/bin

# You probably don't need to edit anything below this line

ADD_CFLAGS=
ADD_LDLIBS=

CFLAGS=$(OS_CFLAGS) $(ADD_CFLAGS)
LDLIBS=$(OS_LDLIBS) $(ADD_LDLIBS)

all: detachtty attachtty
clean:
	rm -f *.o *~ attachtty detachtty

install: all
	install detachtty attachtty $(DESTDIR)$(INSTALL_DIR)

deb:
	rm -rf /usr/local/src/Packages/detachtty/ 
	CVSROOT=`cat CVS/Root` cvs-buildpackage -W/usr/local/src/Packages -F -uc -us -rfakeroot
	lintian /usr/local/src/Packages/detachtty*.changes

detachtty: detachtty.o copy-stream.o errors.o $(OS_OBJECTS)
attachtty: attachtty.o copy-stream.o errors.o $(OS_OBJECTS)

=== debian/changelog ===
detachtty (11.0.0-2) unstable; urgency=medium

  * Fix build failures on some architectures.

 -- Giovanni Mascellani <gio@debian.org>  Mon, 07 May 2018 17:33:03 +0200

detachtty (11.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #895948)

 -- Giovanni Mascellani <gio@debian.org>  Sun, 29 Apr 2018 17:32:11 +0200

=== debian/control ===
Source: detachtty
Section: utils
Priority: optional
Maintainer: Giovanni Mascellani <gio@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.4
Homepage: https://github.com/cosmos72/detachtty
Vcs-Browser: https://salsa.debian.org/debian/detachtty
Vcs-Git: https://salsa.debian.org/debian/detachtty.git

Package: detachtty
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility to connect to detached interactive programs
 Detachtty lets you run interactive programs non-interactively, and
 connect to them over the network when you do need to interact with
 them. It is somewhat similar to screen, but it is less feature-rich,
 therefore lighter and with less dependencies. It allows one to
 connect to programs running on remote hosts by mean of secure SSH
 connections.

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/detachtty-$1\.tar\.gz/ \
  https://github.com/cosmos72/detachtty/tags .*/v?(\d\S+)\.tar\.gz
